net.sf.jasperreports.components.map

## Class MapXmlFactory

- java.lang.Object
- - net.sf.jasperreports.engine.xml.JRBaseFactory
  - - net.sf.jasperreports.components.map.MapXmlFactory

- All Implemented Interfaces:
    org.apache.commons.digester.ObjectCreationFactory

      public class MapXmlFactory
      extends JRBaseFactory

  Version:
    $Id: MapXmlFactory.java 6923 2014-02-24 14:18:52Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTRIBUTE_imageType`
    `static java.lang.String` | `ATTRIBUTE_mapScale`
    `static java.lang.String` | `ATTRIBUTE_mapType`
    `static java.lang.String` | `ATTRIBUTE_onErrorType`
    `static java.lang.String` | `ELEMENT_item`
    `static java.lang.String` | `ELEMENT_itemProperty`
    `static java.lang.String` | `ELEMENT_marker` Deprecated. Replaced by `ELEMENT_item`.
    `static java.lang.String` | `ELEMENT_markerData`
    `static java.lang.String` | `ELEMENT_markerDataset` Deprecated. Replaced by `ELEMENT_markerData`.
    `static java.lang.String` | `ELEMENT_markerProperty` Deprecated. Replaced by `ELEMENT_itemProperty`.
    `static java.lang.String` | `ELEMENT_pathData`
    `static java.lang.String` | `ELEMENT_pathStyle`

    - ### Fields inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory

      `digester`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapXmlFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `createObject(org.xml.sax.Attributes atts)`

    - ### Methods inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory

      `getDigester, setDigester`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ATTRIBUTE_mapType

          public static final java.lang.String ATTRIBUTE_mapType

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_mapScale

          public static final java.lang.String ATTRIBUTE_mapScale

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_imageType

          public static final java.lang.String ATTRIBUTE_imageType

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_onErrorType

          public static final java.lang.String ATTRIBUTE_onErrorType

      See Also:
        Constant Field Values

    - #### ELEMENT_item

          public static final java.lang.String ELEMENT_item

      See Also:
        Constant Field Values

    - #### ELEMENT_markerData

          public static final java.lang.String ELEMENT_markerData

      See Also:
        Constant Field Values

    - #### ELEMENT_itemProperty

          public static final java.lang.String ELEMENT_itemProperty

      See Also:
        Constant Field Values

    - #### ELEMENT_pathStyle

          public static final java.lang.String ELEMENT_pathStyle

      See Also:
        Constant Field Values

    - #### ELEMENT_pathData

          public static final java.lang.String ELEMENT_pathData

      See Also:
        Constant Field Values

    - #### ELEMENT_marker

          public static final java.lang.String ELEMENT_marker

      Deprecated. Replaced by `ELEMENT_item`.
      See Also:
        Constant Field Values

    - #### ELEMENT_markerDataset

          public static final java.lang.String ELEMENT_markerDataset

      Deprecated. Replaced by `ELEMENT_markerData`.
      See Also:
        Constant Field Values

    - #### ELEMENT_markerProperty

          public static final java.lang.String ELEMENT_markerProperty

      Deprecated. Replaced by `ELEMENT_itemProperty`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MapXmlFactory

          public MapXmlFactory()

  - ### Method Detail

    - #### createObject

          public java.lang.Object createObject(org.xml.sax.Attributes atts)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com